Anonymous Login
2017-11-21 15:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001913OpenClonkObjectspublic2017-11-10 17:12
ReporterFulgen 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Version8.0Fixed in Versiongit master 
Summary0001913: Switching inventory while using dynamite igniter
DescriptionWhile using the dynamite igniter, you can switch to a new item in your inventory, which makes the clonk look like he's pressing air.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005706

Maikel (developer)

Do we want to block switching here, or rather just abort the animation and stop fusing the dynamites?

~0005744

Zapper (developer)

Abort the animation and stop fusing!

~0005894

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/2429ee672246e6888708bae56a5ffd04a00ff392

Changeset 2429ee6 by Maikel de Vries <mdt.maikel@gmail.com>
fix switching dynamite igniter while switching inventory (0001913)

~0005895

Maikel (developer)

Fixed, now you need to keep the button pressed so you can cancel as well. Before you could not do anything while igniting anyways. Also reduced the time spent igniting so that the game feels a bit faster and is less annoying.
+Notes

-Issue History
Date Modified Username Field Change
2017-05-21 12:36 Fulgen New Issue
2017-08-05 15:49 Maikel Note Added: 0005706
2017-08-05 15:49 Maikel Product Version => git master
2017-08-05 15:49 Maikel Target Version => 8.0
2017-08-20 13:55 Zapper Note Added: 0005744
2017-08-21 20:46 Maikel Assigned To => Maikel
2017-08-21 20:46 Maikel Status new => assigned
2017-11-10 17:11 occ Note Added: 0005894
2017-11-10 17:12 Maikel Note Added: 0005895
2017-11-10 17:12 Maikel Status assigned => resolved
2017-11-10 17:12 Maikel Resolution open => fixed
2017-11-10 17:12 Maikel Fixed in Version => git master
+Issue History